Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057915 - Review Request: perl-HTTP-Request-Form - Construct HTTP::Request objects for form processing
Summary: Review Request: perl-HTTP-Request-Form - Construct HTTP::Request objects for ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1057916
TreeView+ depends on / blocked
 
Reported: 2014-01-26 00:55 UTC by Michael S.
Modified: 2014-08-19 07:05 UTC (History)
2 users (show)

Fixed In Version: perl-HTTP-Request-Form-0.952-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-19 07:05:37 UTC
psabata: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Michael S. 2014-01-26 00:55:47 UTC
Spec URL: http://misc.fedorapeople.org/perl-HTTP-Request-Form.spec
SRPM URL: http://misc.fedorapeople.org/perl-HTTP-Request-Form-0.952-1.fc20.src.rpm
Description: This is an extension of the HTTP::Request suite. It allows easy processing
of forms in a user agent by filling out fields, querying fields, selections
and buttons and pressing buttons.
Fedora Account System Username: misc

Comment 1 Petr Šabata 2014-01-29 15:05:00 UTC
TODO: BuildRequire perl (called in SPEC)
TODO: BuildRequire perl(strict), ./Form.pm:3
TODO: BuildRequire perl(vars), ./Form.pm:4
TODO: Drop the LWP::UserAgent build-time dep, besides it being mentioned in the Makefile.PL, it's not actually needed for build
TODO: Be modern and use DESTDIR instead of PERL_INSTALL_ROOT
TODO: Drop line 37, it's useless
TODO: Package the `ex' directory in %doc

None of those are blockers but consider fixing them before you push the package.

Comment 2 Michael S. 2014-01-29 20:32:26 UTC
Yep, fixed, thanks

Comment 3 Michael S. 2014-01-29 20:46:49 UTC
New Package SCM Request
=======================
Package Name:  perl-HTTP-Request-Form
Short Description: Construct HTTP::Request objects for form processing
Owners: misc
Branches: f20
InitialCC: perl-sig

Comment 4 Gwyn Ciesla 2014-01-30 13:00:03 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2014-01-30 17:15:04 UTC
perl-HTTP-Request-Form-0.952-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-HTTP-Request-Form-0.952-1.fc20

Comment 6 Fedora Update System 2014-01-31 04:26:46 UTC
perl-HTTP-Request-Form-0.952-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 7 Petr Šabata 2014-08-13 12:50:23 UTC
Ping.  Consider pushing the package :)

Comment 8 Michael S. 2014-08-17 15:04:39 UTC
Indeed.

Comment 9 Fedora Update System 2014-08-19 07:05:37 UTC
perl-HTTP-Request-Form-0.952-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.